Subject: bug#61293: 30.0.50; [FR] Add `proper-list-p' and `plistp' to 2.7 Type Predicates section of the manual

From: Ihor Radchenko <[email-masked]>
Date: Sun, 05 Feb 2023 12:34:00 +0000

Eli Zaretskii <[email-masked]> writes:

> proper-list-p was already documented.  I added plistp.

Thanks! Note that `proper-list-p' is not listed in section 2.7.

>> Also, what about `alistp'? Would it make sense to add such function?
>
> I don't know.  When would it be useful?

I mostly expected it is exist, but it does not.
Also, there is `nested-alist-p'. So, not having `alistp' feels awkward.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>